ExtendToCenterModest Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
ExtendToCenterModest Class Reference

[0-min_range, max(0+min_range/2, ev.value()-frontier_range] で探索. More...

Inheritance diagram for ExtendToCenterModest:
[legend]
Collaboration diagram for ExtendToCenterModest:
[legend]

## Public Member Functions
| ExtendToCenterModest (qsearch_t **q, eval_t &e, int range_d, int c, int extend_m)
const std::string | name () const
const std::pair< int, int > | alphaBeta (Player turn, int pawn_value, int real_value) const
Public Member Functions inherited from FixedCenter
| FixedCenter (qsearch_t **q, eval_t &e, int d, int c)
int | center (int) const
Public Member Functions inherited from FixedRange
| FixedRange (qsearch_t **q, eval_t &e, int d)
int | halfRange (int pawn_value) const
Public Member Functions inherited from NormalSearcher
| NormalSearcher (qsearch_t **q, eval_t &e)
int | search (Player turn, int pawn_value, int real_value, Move last_move)
Public Member Functions inherited from Searcher
| Searcher (qsearch_t **q, eval_t &e)
virtual | ~Searcher ()
void | report () const

## Private Attributes
const int | extend_multiplier

## Additional Inherited Members
Protected Member Functions inherited from Searcher
const std::pair< int, int > | count (Player turn, int alpha, int beta, Move last_move)
Protected Attributes inherited from FixedCenter
const int | center_value

## Detailed Description

[0-min_range, max(0+min_range/2, ev.value()-frontier_range] で探索.

(root にはあまり近付かない)

Definition at line 311 of file range-vs-nodes.cc.

## Constructor & Destructor Documentation

ExtendToCenterModest::ExtendToCenterModest | ( | qsearch_t ** | q,
|  | eval_t & | e,
|  | int | range_d,
|  | int | c,
|  | int | extend_m
| ) |  |
| inline

Definition at line 315 of file range-vs-nodes.cc.

## Member Function Documentation

const std::pair<int,int> ExtendToCenterModest::alphaBeta | ( | Player | turn,
|  | int | pawn_value,
|  | int | real_value
| ) |  | const
| inlinevirtual

Reimplemented from FixedRange.

Definition at line 323 of file range-vs-nodes.cc.

References osl::eval::betterThan(), center, osl::eval::delta(), osl::eval::max(), and osl::eval::min().

const std::string ExtendToCenterModest::name | ( | ) |  | const
| inlinevirtual

Reimplemented from FixedCenter.

Definition at line 320 of file range-vs-nodes.cc.

References tos().

## Member Data Documentation

const int ExtendToCenterModest::extend_multiplier
| private

Definition at line 313 of file range-vs-nodes.cc.

The documentation for this class was generated from the following file:

- range-vs-nodes.cc